// CalTracker.h: interface for the CCalTracker class.
//
/*
	DaysEase - PC Magazine file download utility
	Copyright  1998-1999 Ziff-Davis, Inc.  All rights reserved.
	First published in PC Magazine, US Edition
	December 1, 1998.
	Written by Richard A. Ellingson
*/
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CALTRACKER_H__72584181_C26F_11D1_A893_444553540000__INCLUDED_)
#define AFX_CALTRACKER_H__72584181_C26F_11D1_A893_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CCalTracker : public CRectTracker  
{
public:
	CRect hold_rect;
	BOOL fShift;
	double Aspect;
	CCalTracker();
	virtual ~CCalTracker();

protected:
	void Clip_To();
	virtual void AdjustRect( int nHandle, LPRECT lpRect );

};

#endif // !defined(AFX_CALTRACKER_H__72584181_C26F_11D1_A893_444553540000__INCLUDED_)
