#if !defined(AFX_STYLEDLG_H__C46779B4_E676_11D1_A893_444553540000__INCLUDED_)
#define AFX_STYLEDLG_H__C46779B4_E676_11D1_A893_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// StyleDlg.h : header file
//
/*
	DaysEase - PC Magazine file download utility
	Copyright  1998-1999 Ziff-Davis, Inc.  All rights reserved.
	First published in PC Magazine, US Edition
	December 1, 1998.
	Written by Richard A. Ellingson
*/
/////////////////////////////////////////////////////////////////////////////
// CStyleDlg dialog

class CStyleDlg : public CDialog
{
// Construction
public:
	void Set_Date_Style();
	CStyleDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CStyleDlg)
	enum { IDD = IDD_STYLEDLG };
	CButton	m_Swap;
	CButton	m_Right;
	CButton	m_Left;
	CEdit	m_Title;
	CButton	m_Center;
	CButton	m_TitleLarge;
	CButton	m_DateLarge;
	CButton	m_NoteLarge;
	CButton	m_Split;
	CButton	m_Text;
	CButton	m_wkdMonth;
	CButton	m_MonYr;
	CButton	m_btnDate;
	CButton	m_btnTitle;
	CButton	m_btnData;
	CButton	m_btnWeekDay;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStyleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void Update_Title_Rect();
	virtual void OnOK();
	virtual void OnCancel();

	// Generated message map functions
	//{{AFX_MSG(CStyleDlg)
	afx_msg void OnBtndata();
	afx_msg void OnBtndate();
	afx_msg void OnBtntitle();
	afx_msg void OnBtnweekday();
	afx_msg void OnChangeTitle();
	afx_msg void OnDatelarge();
	afx_msg void OnLeft();
	afx_msg void OnNotelarge();
	afx_msg void OnRight();
	afx_msg void OnSplit();
	afx_msg void OnSwap();
	afx_msg void OnTitlelarge();
	afx_msg void OnCenter();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STYLEDLG_H__C46779B4_E676_11D1_A893_444553540000__INCLUDED_)
