#if !defined(AFX_CALENDARDLG_H__C46779B3_E676_11D1_A893_444553540000__INCLUDED_)
#define AFX_CALENDARDLG_H__C46779B3_E676_11D1_A893_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// CalendarDlg.h : header file
//
/*
	DaysEase - PC Magazine file download utility
	Copyright  1998-1999 Ziff-Davis, Inc.  All rights reserved.
	First published in PC Magazine, US Edition
	December 1, 1998.
	Written by Richard A. Ellingson
*/
/////////////////////////////////////////////////////////////////////////////
// CCalendarDlg dialog

class CCalendarDlg : public CDialog
{
// Construction
public:
	int nYry;
	int nYrx;
	CCalendarDlg(CWnd* pParent = NULL);   // standard constructor
	void Display_Year_Page();
	void Display_Month_Page();

// Dialog Data
	//{{AFX_DATA(CCalendarDlg)
	enum { IDD = IDD_CALENDARDLG };
	CEdit	m_TextCheck;
	CButton	m_CancelNote;
	CButton	m_wkdSwap;
	CComboBox	m_Year;
	CButton	m_Orientation;
	CStatic	m_DayNote;
	CStatic	m_DayNum;
	CButton	m_btnMonth;
	CButton	m_6x2;
	CButton	m_2x6;
	CButton	m_4x3;
	CButton	m_3x4;
	CButton	m_Arrange;
	CComboBox	m_Month;
	CButton	m_Enter;
	CEdit	m_Data;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCalendarDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void Check_DayNote_Text();
	virtual void OnOK();
	virtual void OnCancel();
	void Clear_All();

	// Generated message map functions
	//{{AFX_MSG(CCalendarDlg)
	virtual BOOL OnInitDialog();
	afx_msg void On2x6();
	afx_msg void On3x4();
	afx_msg void On4x3();
	afx_msg void On6x2();
	afx_msg void OnBtnmonth();
	afx_msg void OnChangeData();
	afx_msg void OnHorizf();
	afx_msg void OnHorizh();
	afx_msg void OnOrientation();
	afx_msg void OnSelchangeMonth();
	afx_msg void OnSelchangeYear();
	afx_msg void OnVertf();
	afx_msg void OnVerth();
	afx_msg void OnWkdswap();
	afx_msg void OnCancelnote();
	afx_msg void OnMaxtextData();
	afx_msg void OnEnter();
//	afx_msg void OnErrspaceData();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CALENDARDLG_H__C46779B3_E676_11D1_A893_444553540000__INCLUDED_)
