// MainFrm.h : interface of the CMainFrame class
//
/*
	DaysEase - PC Magazine file download utility
	Copyright  1998-1999 Ziff-Davis, Inc.  All rights reserved.
	First published in PC Magazine, US Edition
	December 1, 1998.
	Written by Richard A. Ellingson
*/
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__C467798B_E676_11D1_A893_444553540000__INCLUDED_)
#define AFX_MAINFRM_H__C467798B_E676_11D1_A893_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include "CalendarDlg.h"	// Added by ClassView
#include "StyleDlg.h"	// Added by ClassView
#include "ImageDlg.h"	// Added by ClassView
#include "EventsDlg.h"	// Added by ClassView
class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	void Change_Tab_Page(int page);
	// Make the Status Bar public so we can access it from the view
	CStatusBar  m_wndStatusBar;
	CEventsDlg m_EventsDlg;
	CImageDlg m_ImageDlg;
	CStyleDlg m_StyleDlg;
	CCalendarDlg m_CalendarDlg;
	CDialogBar m_MainDlgBar;
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	//CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	void Position_Page();
	CDialog* Page_Visible();
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSelchangeMdbtab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__C467798B_E676_11D1_A893_444553540000__INCLUDED_)
